Обработчики уведомлений
GET https://scanzilla.ru/api/notification-handlers/
curl --request GET \
--url 'https://scanzilla.ru/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanzilla.ru/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Параметры | Подробности | Описание |
|---|---|---|
| page | Необязательный Целое число | Номер страницы с результатами. По умолчанию — 1. |
| results_per_page | Необязательный Целое число | Количество результатов на странице. Допустимые значения: 10 , 25 , 50 , 100 , 250 , 500 , 1000. По умолчанию — 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-01 02:32:50",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://scanzilla.ru/api/notification-handlers?page=1",
"last": "https://scanzilla.ru/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://scanzilla.ru/api/notification-handlers?page=1"
}
}
GET https://scanzilla.ru/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://scanzilla.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanzilla.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-01 02:32:50",
}
}
POST https://scanzilla.ru/api/notification-handlers
| Параметры | Подробности | Описание |
|---|---|---|
| name | Обязательный Строка | - |
| type | Обязательный Строка | Допустимые значения: email , telegram , internal_notification |
| Необязательный Строка | Доступно, когда: type = email Email | |
| telegram | Необязательный Строка | Доступно, когда: type = telegram Токен API Telegram |
| telegram_chat_id | Необязательный Строка | Доступно, когда: type = telegram ID чата Telegram |
curl --request POST \
--url 'https://scanzilla.ru/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://scanzilla.ru/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://scanzilla.ru/api/notification-handlers/{notification_handler_id}
| Параметры | Подробности | Описание |
|---|---|---|
| name | Необязательный Строка | - |
| type | Необязательный Строка | Допустимые значения: email , telegram , internal_notification |
| Необязательный Строка | Доступно, когда: type = email Email | |
| telegram | Необязательный Строка | Доступно, когда: type = telegram Токен API Telegram |
| telegram_chat_id | Необязательный Строка | Доступно, когда: type = telegram ID чата Telegram |
| is_enabled | Необязательный Логическое значение | - |
curl --request POST \
--url 'https://scanzilla.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://scanzilla.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://scanzilla.ru/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://scanzilla.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanzilla.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \